# Add message

Add a message to a conversation. For inbound messages the author is assumed to be the requester of the conversation (end user). For outbound messages the author is specified using the agentId field. <br>If attachments are added to the message, they will be copied and stored in Dixa. <br> Supported channels are Chat, Messenger, Contact Form, Email, Sms (outbound only), Whatsapp (outbound and Markdown only). <br><br> Supported Markdown syntax for Markdown content: bold <code>**text**</code>, italic <code>*text*</code>, bold & italic <code>***text***</code>, strikethrough <code>~text~</code>, blockquote <code> > Quoted text. \n Message about quoted text</code>, ordered list <code>List:\n1. Item\n2. Item\n3. Item</code>, unordered list <code>List:\n* Item\n* Item\n* Item</code>, inline code <code>This is `code`</code>. <br><br> Whatsapp channel: <br> Only one attachment is allowed per WhatsApp message. <br> Supports the following file types for attachments: .jpg, .jpeg, .png, .pdf, .doc, .docx, .pptx, .xlsx

Endpoint: POST /v1/conversations/{conversationId}/messages
Version: v1
Security: ApiKeyAuth

## Path parameters:

  - `conversationId` (integer, required)

## Request fields (application/json):

  - `content` (any, required)

  - `content.value` (string, required)

  - `attachments` (array)

  - `attachments.url` (string, required)
    url

  - `attachments.prettyName` (string)

  - `integrationEmail` (string)
    Internal email address registered for the integration with format: <email-address>@email.dixa.io

  - `externalId` (string)
    Client generated identifier for external reference

  - `agentId` (string, required)

  - `integrationEmail` (string)

  - `externalId` (string)

  - `cc` (array)

  - `bcc` (array)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.content` (any, required)

  - `data.content.value` (string, required)

  - `data.direction` (string, required)
    values: [Inbound, Internal, Outbound]

  - `data.authorId` (string, required)

  - `data.externalId` (string)

  - `data.messageId` (string)

  - `data.createdAt` (string)

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 404 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

